org.apache.hc.client5.http.cache

## Interface HttpAsyncCacheInvalidator

- All Known Implementing Classes:
    DefaultAsyncCacheInvalidator

      @Internal
      public interface HttpAsyncCacheInvalidator

  Given a particular HTTP request / response pair, flush any cache entries that this exchange would invalidate.
  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cancellable` | `flushCacheEntriesInvalidatedByExchange(HttpHost host, HttpRequest request, HttpResponse response, Resolver<URI,String> cacheKeyResolver, HttpAsyncCacheStorage cacheStorage, FutureCallback<Boolean> callback)` Flush `HttpCacheEntry`s invalidated by the given message exchange.
    `Cancellable` | `flushCacheEntriesInvalidatedByRequest(HttpHost host, HttpRequest request, Resolver<URI,String> cacheKeyResolver, HttpAsyncCacheStorage cacheStorage, FutureCallback<Boolean> callback)` Flush `HttpCacheEntry`s invalidated by the given request.

- - ### Method Detail

    - #### flushCacheEntriesInvalidatedByRequest

          Cancellable flushCacheEntriesInvalidatedByRequest(HttpHost host,
                                                            HttpRequest request,
                                                            Resolver<URI,String> cacheKeyResolver,
                                                            HttpAsyncCacheStorage cacheStorage,
                                                            FutureCallback<Boolean> callback)

      Flush `HttpCacheEntry`s invalidated by the given request.
      Parameters:
        `host` - backend host
        `request` - request message
        `cacheKeyResolver` - cache key resolver used by cache storage
        `cacheStorage` - internal cache storage
        `callback` - result callback

    - #### flushCacheEntriesInvalidatedByExchange

          Cancellable flushCacheEntriesInvalidatedByExchange(HttpHost host,
                                                             HttpRequest request,
                                                             HttpResponse response,
                                                             Resolver<URI,String> cacheKeyResolver,
                                                             HttpAsyncCacheStorage cacheStorage,
                                                             FutureCallback<Boolean> callback)

      Flush `HttpCacheEntry`s invalidated by the given message exchange.
      Parameters:
        `host` - backend host
        `request` - request message
        `response` - response message
        `cacheKeyResolver` - cache key resolver used by cache storage
        `cacheStorage` - internal cache storage
        `callback` - result callback

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.